/*
 * Created on Feb 7, 2009
 * 
 * Copyright 2005 CafeSip.org 
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at 
 *
 *	http://www.apache.org/licenses/LICENSE-2.0 
 *
 * Unless required by applicable law or agreed to in writing, software 
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the License for the specific language governing permissions and 
 * limitations under the License.
 *
 */
package org.cafesip.gwtcomp.client.common;

import java.io.Serializable;
import java.util.Date;

/**
 * An object for sending the chart data between the client and the server.
 * 
 * @author Amit Chatterjee
 * 
 */
public class ChartData implements Serializable
{
    private static final long serialVersionUID = -282198156604080258L;

    private Date collectionTime;

    private ChartDataElement[] data;

    /**
     * 
     *  A constructor for this class.
     *
     */
    public ChartData()
    {        
    }
    
    /**
     * A constructor for this class.
     * 
     * @param collectionTime
     * @param data
     */
    public ChartData(Date collectionTime, ChartDataElement[] data)
    {
        this.collectionTime = collectionTime;
        this.data = data;
    }

    /**
     * @return Returns the collectionTime.
     */
    public Date getCollectionTime()
    {
        return collectionTime;
    }

    /**
     * @return Returns the data.
     */
    public ChartDataElement[] getData()
    {
        return data;
    }

    /**
     * @param collectionTime The collectionTime to set.
     */
    public void setCollectionTime(Date collectionTime)
    {
        this.collectionTime = collectionTime;
    }

    /**
     * @param data The data to set.
     */
    public void setData(ChartDataElement[] data)
    {
        this.data = data;
    }
}
