/*
 * Created on Jul 19, 2006
 * 
 * Copyright 2005 CafeSip.org 
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at 
 *
 *	http://www.apache.org/licenses/LICENSE-2.0 
 *
 * Unless required by applicable law or agreed to in writing, software 
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the License for the specific language governing permissions and 
 * limitations under the License.
 *
 */
package org.cafesip.gwtcomp.client.common;

import com.google.gwt.user.client.rpc.IsSerializable;

/**
 * This class represents a value object that is used to exchange directory and
 * file information that is used by the
 * {@link org.cafesip.gwtcomp.client.ui.ServerFileBrowser} component. This is an
 * internal class and your application will never need to use this class
 * directly.
 * 
 * @author Amit Chatterjee
 * 
 */
public class DirectoryElement implements IsSerializable
{
    private String directory;

    private FileElement[] files;

    private String separator;

    /**
     * A constructor for this class.
     * 
     */
    public DirectoryElement()
    {
    }

    public void init(String directory, FileElement[] files, String separator)
    {
        this.directory = directory;
        this.files = files;
        this.separator = separator;
    }

    /**
     * @return Returns the directory.
     */
    public String getDirectory()
    {
        return directory;
    }

    /**
     * @param directory
     *            The directory to set.
     */
    public void setDirectory(String directory)
    {
        this.directory = directory;
    }

    /**
     * @return Returns the files.
     */
    public FileElement[] getFiles()
    {
        return files;
    }

    /**
     * @param files
     *            The files to set.
     */
    public void setFiles(FileElement[] files)
    {
        this.files = files;
    }

    /**
     * @return Returns the separator.
     */
    public String getSeparator()
    {
        return separator;
    }

    /**
     * @param separator
     *            The separator to set.
     */
    public void setSeparator(String separator)
    {
        this.separator = separator;
    }
}
