/*
 * Created on Jul 19, 2006
* 
* Copyright 2005 CafeSip.org 
*
* Licensed under the Apache License, Version 2.0 (the "License"); 
* you may not use this file except in compliance with the License. 
* You may obtain a copy of the License at 
*
*	http://www.apache.org/licenses/LICENSE-2.0 
*
* Unless required by applicable law or agreed to in writing, software 
* distributed under the License is distributed on an "AS IS" BASIS, 
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
* See the License for the specific language governing permissions and 
* limitations under the License.
*
 */
package org.cafesip.gwtcomp.client.common;

import com.google.gwt.user.client.rpc.IsSerializable;

/**
 * This class represents a value object that is used to exchange directory and
 * file information that is used by the
 * {@link org.cafesip.gwtcomp.client.ui.ServerFileBrowser} component. This is an
 * internal class and your application will never need to use this class
 * directly.
 * 
 * @author Amit Chatterjee
 *
 */
public class FileElement implements IsSerializable
{
    public static final String DIR = "d";
    public static final String FILE = "f";
    
    private String name;
    private String type;
    private String lastModified;
    private String permissions;
    
    /**
     *  A constructor for this class.
     * 
     */
    public FileElement()
    {
    }
    
    public void init(String name, String type, String lastModified, String permissions)
    {
        this.name = name;
        this.type = type; 
        this.lastModified = lastModified;
        this.permissions = permissions;
    }
    
    /**
     * @return Returns the name.
     */
    public String getName()
    {
        return name;
    }
    /**
     * @param name The name to set.
     */
    public void setName(String name)
    {
        this.name = name;
    }
    /**
     * @return Returns the type.
     */
    public String getType()
    {
        return type;
    }
    /**
     * @param type The type to set.
     */
    public void setType(String type)
    {
        this.type = type;
    }

    /**
     * @return Returns the lastModified.
     */
    public String getLastModified()
    {
        return lastModified;
    }

    /**
     * @param lastModified The lastModified to set.
     */
    public void setLastModified(String lastModified)
    {
        this.lastModified = lastModified;
    }

    /**
     * @return Returns the permissions.
     */
    public String getPermissions()
    {
        return permissions;
    }

    /**
     * @param permissions The permissions to set.
     */
    public void setPermissions(String permissions)
    {
        this.permissions = permissions;
    }
}
