/*
 * Created on Mar 22, 2008
 * 
 * Copyright 2005 CafeSip.org 
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at 
 *
 *  http://www.apache.org/licenses/LICENSE-2.0 
 *
 * Unless required by applicable law or agreed to in writing, software 
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the License for the specific language governing permissions and 
 * limitations under the License.
 *
 */
package org.cafesip.gwtcomp.client.common;

import com.google.gwt.user.client.rpc.AsyncCallback;

/**
 * RPC interface for the
 * {@link org.cafesip.gwtcomp.client.ui.charting.LiveDataService} component.
 * This is an internal internal and your application will never need to use this
 * class directly.
 * 
 * @author Amit Chatterjee
 * 
 */
public interface LiveDataServiceAsync
{
    public void getChartInfoAndInitialData(String identifier,
            String instance, String param, AsyncCallback<ChartInitData> callback);

    public void getNextData(int sessionId, AsyncCallback<ChartData> callback);
    
    public void cancel(int sessionId, AsyncCallback<Void> callback);
}
