/*
 * Created on Mar 22, 2008
 * 
 * Copyright 2005 CafeSip.org 
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at 
 *
 *	http://www.apache.org/licenses/LICENSE-2.0 
 *
 * Unless required by applicable law or agreed to in writing, software 
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the License for the specific language governing permissions and 
 * limitations under the License.
 *
 */
package org.cafesip.gwtcomp.client.common;

import java.io.Serializable;

/**
 * This class contains the information on a series. The
 * {@link org.cafesip.gwtcomp.client.ui.charting.LiveDataService} object can
 * display a line plot consisting of multiple series. This class represents the
 * characteristics of one such series. 
 * 
 * @author Amit Chatterjee
 * 
 */
public class SeriesInfo implements Serializable
{
    /**
     * Comment for <code>serialVersionUID</code>
     */
    private static final long serialVersionUID = -1398287394184413021L;
    private String name;

    /**
     * 
     * A constructor for this class.
     * 
     */
    public SeriesInfo()
    {
    }

    /**
     * 
     * A constructor for this class.
     * 
     * @param name name of the series
     */
    public SeriesInfo(String name)
    {
        this.name = name;
    }

    /**
     * @return Returns the name.
     */
    public String getName()
    {
        return name;
    }

    /**
     * @param name
     *            The name to set.
     */
    public void setName(String name)
    {
        this.name = name;
    }
}
