/*
 * Created on Aug 26, 2007
 * 
 * Copyright 2005 CafeSip.org 
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at 
 *
 *	http://www.apache.org/licenses/LICENSE-2.0 
 *
 * Unless required by applicable law or agreed to in writing, software 
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the License for the specific language governing permissions and 
 * limitations under the License.
 *
 */
package org.cafesip.gwtcomp.client.helpers;

import org.cafesip.gwtcomp.client.ui.Toolbar;

import com.google.gwt.user.client.ui.Image;

/**
 * Helper class for the ToolbarPanel class. The users of the components do not
 * need to use this class.
 * 
 * @author Amit Chatterjee
 * 
 */
public class ToolbarSplitterInfo
{
    private Toolbar toobar;

    private Image splitter;

    /**
     * A constructor for this class.
     * 
     * @param toobar
     * @param splitter
     */
    public ToolbarSplitterInfo(Toolbar toolbar, Image splitter)
    {
        this.toobar = toolbar;
        this.splitter = splitter;
    }

    /**
     * @return Returns the splitter.
     */
    public Image getSplitter()
    {
        return splitter;
    }

    /**
     * @param splitter
     *            The splitter to set.
     */
    public void setSplitter(Image splitter)
    {
        this.splitter = splitter;
    }

    /**
     * @return Returns the toobar.
     */
    public Toolbar getToobar()
    {
        return toobar;
    }

    /**
     * @param toobar
     *            The toobar to set.
     */
    public void setToobar(Toolbar toolbar)
    {
        this.toobar = toolbar;
    }

}
