/*
 * Created on Sep 8, 2007
 * 
 * Copyright 2005 CafeSip.org 
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at 
 *
 *	http://www.apache.org/licenses/LICENSE-2.0 
 *
 * Unless required by applicable law or agreed to in writing, software 
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the License for the specific language governing permissions and 
 * limitations under the License.
 *
 */
package org.cafesip.gwtcomp.client.ui;

/**
 * A listener interface that applications must implement for listening to
 * {@link org.cafesip.gwtcomp.client.ui.DroppableList} events. The events
 * are fired when certain events occurs on the list. Applications can 
 * write their own business logic to handle such events.
 * 
 * @author Amit Chatterjee
 * 
 */
public interface DroppableListListener
{
    /**
     * This method is invoked when an item is dropped (or added to the list).
     * 
     * @param name name of the item.
     */
    public void itemAdded(String name);

    /**
     * This method is invoked when an item is removed from the list by the user.
     * 
     * @param name name of the item.
     */
    public void itemRemove(String name);
}
