/*
 * Created on Aug 5, 2006
* 
* Copyright 2005 CafeSip.org 
*
* Licensed under the Apache License, Version 2.0 (the "License"); 
* you may not use this file except in compliance with the License. 
* You may obtain a copy of the License at 
*
*	http://www.apache.org/licenses/LICENSE-2.0 
*
* Unless required by applicable law or agreed to in writing, software 
* distributed under the License is distributed on an "AS IS" BASIS, 
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
* See the License for the specific language governing permissions and 
* limitations under the License.
*
 */
package org.cafesip.gwtcomp.client.ui;

/**
 * Helper class for the PropertyViewer class.
 * 
 * @author Amit Chatterjee
 *
 */
public class PropertyElement
{
    private String property;
    private Object value;
    
    /**
     *  A constructor for this class.
     * 
     *  @param property property key string.
     *  @param value property value string.
     */
    public PropertyElement(String property, Object value)
    {
        this.property = property;
        this.value = value;
    }

    /**
     * Returns the property key string.
     * @return the property name
     */
    public String getProperty()
    {
        return property;
    }

    /**
     * Sets the property key string.
     * 
     * @param property The property to set.
     */
    public void setProperty(String property)
    {
        this.property = property;
    }

    /**
     * Returns the property value string.
     * 
     * @return returns the property value
     */
    public Object getValue()
    {
        return value;
    }

    /**
     * Sets the property value string.
     * @param value The value to set.
     */
    public void setValue(Object value)
    {
        this.value = value;
    }

}
