/*
 * Created on Jul 21, 2006
* 
* Copyright 2005 CafeSip.org 
*
* Licensed under the Apache License, Version 2.0 (the "License"); 
* you may not use this file except in compliance with the License. 
* You may obtain a copy of the License at 
*
*	http://www.apache.org/licenses/LICENSE-2.0 
*
* Unless required by applicable law or agreed to in writing, software 
* distributed under the License is distributed on an "AS IS" BASIS, 
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
* See the License for the specific language governing permissions and 
* limitations under the License.
*
 */
package org.cafesip.gwtcomp.client.ui;

import java.util.EventListener;

import com.google.gwt.user.client.ui.Widget;

/**
 * An interface that must be extended to create your own listeners for ServerFileBrowser
 * events. For details on the events that are supported by the ServerFileBrowser, please
 * refer to the method descriptions below.
 * 
 * @author Amit Chatterjee
 *
 */
public interface ServerFileBrowserListener extends EventListener
{
    /**
     * This method is called when the user clicks on the OK button on the
     * server file browser after selecting (or not selecting) a file.
     * 
     * @param sender the sender of the event
     * @param path the full path name of the selected file/directory.
     */
    public void onOk(Widget sender, String path);
    
    
    /**
     * The method is called when the user clicks on the Cancel button on the
     * server file browser.
     * 
     * @param sender the sender of the event.
     */
    public void onCancel(Widget sender);
}
