/*
 * Created on Aug 12, 2007
 * 
 * Copyright 2005 CafeSip.org 
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at 
 *
 *	http://www.apache.org/licenses/LICENSE-2.0 
 *
 * Unless required by applicable law or agreed to in writing, software 
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the License for the specific language governing permissions and 
 * limitations under the License.
 *
 */
package org.cafesip.gwtcomp.client.ui;

import java.util.EventListener;

/**
 * An interface that must be extended to create your own wizard panel listener.
 * 
 * @author Amit Chatterjee
 *
 */
public interface WizardPanelListener extends EventListener
{
    /**
     * Tis method is called after the page is switched as a result of clicking on the
     * Next/Previous buttons or programatically. You can implement this method to 
     * include your own custom logic (for example, disable the Next button) to perform
     * validations and/or modify appearances.
     * 
     * @param name name of panel that currently showing.
     */
    public void onPageSwitch(String name);
}
