/*
 * Created on Aug 10, 2007
 * 
 * Copyright 2005 CafeSip.org 
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at 
 *
 *  http://www.apache.org/licenses/LICENSE-2.0 
 *
 * Unless required by applicable law or agreed to in writing, software 
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the License for the specific language governing permissions and 
 * limitations under the License.
 *
 */
package org.cafesip.gwtcomp.client.utils;

import com.google.gwt.core.client.GWT;

/**
 * An utility class for making GWT application context-independent.
 * 
 * @author Amit Chatterjee
 *
 */
public class ContextUtil
{
    /**
     * Returns the application context of the current GWT application. You can 
     * append the rest of the URL to the returned vaue to produce an URL that is
     * independent of the (servlet) context name. It is particularly important
     * when you are developing re-usable components.
     * 
     * @return the context URL
     */
    public static String getContextURL()
    {
        String base = GWT.getModuleBaseURL();
        String module = GWT.getModuleName();        
        String sub = base.substring(0, base.length() - module.length() - 2);
        return sub;
    }

}
