/*
 * Created on Aug 19, 2007
 * 
 * Copyright 2005 CafeSip.org 
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at 
 *
 *	http://www.apache.org/licenses/LICENSE-2.0 
 *
 * Unless required by applicable law or agreed to in writing, software 
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the License for the specific language governing permissions and 
 * limitations under the License.
 *
 */
package org.cafesip.gwtcomp.client.utils;

/**
 * An utility class for parsing response returned by the {@link org.cafesip.gwtcomp.server.FileUploadServlet} servlet.
 * 
 * @author Amit Chatterjee
 *
 */
public class FileUploadUtil
{
    private int status;
    private String reason;
    
    public FileUploadUtil(String message)
    {
        // strip out the "pre" tag
        if (message.startsWith("<pre>") || message.startsWith("<PRE>"))
        {
            message = message.substring(5, message.length() - 6);
        }
        StringTokenizer tokens = new StringTokenizer(message, ',');
        
        status = Integer.parseInt(tokens.tokenAt(0));        
        reason = tokens.tokenAt(1);
    }

    /**
     * Get the reason phrase returned by the FileUploadServlet.
     * 
     * @return Returns the reason.
     */
    public String getReason()
    {
        return reason;
    }

    /**
     * Get the status code returned by the FileUploadServlet.
     * @return Returns the status.
     */
    public int getStatus()
    {
        return status;
    }
}
